Installer - Bug #32827

Set sendmail location and arguments via puppet/installer
06/17/2021 02:19 PM - Lukas Zapletal

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/961

Description
We have a setting to set sendmail location/arguments in the UI/CLI/AP| however this brought some issues with security:

https://github.com/theforeman/foreman/pull/8599#issuecomment-863225804

As a better long term solution, it would be great to set both settings in settings.yaml via puppet, they automatically override Ul and
there is a warning info icon informing users that the setting is read only and editable only via settings.yaml.

Related issues:
Related to Foreman - Bug #32753: CVE-2021-3584: Remote code execution through... Closed

Associated revisions

Revision 6c902a4f - 06/22/2021 12:00 PM - Ewoud Kohl van Wijngaarden

Fixes #32827 - Add sendmail config options

As part of CVE-2021-3584 the option email_sendmail_location was limited
to just 4 choices. This allows admins to set it via settings.yaml. The

idea is that if you can edit settings.yaml, you're already compromised
while Ul could be less protected.

When a setting is present in settings.yaml, the option becomes read-only
in the UL

If the options are not set, they don't show up in settings.yaml.

History

#1 - 06/22/2021 11:29 AM - Ewoud Kohl van Wijngaarden
- Related to Bug #32753: CVE-2021-3584: Remote code execution through Sendmail configuration added

#2 - 06/22/2021 11:34 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/961 added

#3 - 06/22/2021 11:57 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/961)

Testing bot integration

#4 - 06/22/2021 11:58 AM - The Foreman Bot
https://github.com/theforeman/foreman/pull/8599#issuecomment-863225804

- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/961 added

#5 - 06/22/2021 12:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/961)

Again, apologies for the spam.

#6 - 06/22/2021 12:00 PM - Ewoud Kohl van Wijngaarden
- Assignee deleted (Ewoud Kohl van Wijngaarden)

#7 - 06/22/2021 12:02 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/961 added

#8 - 06/22/2021 02:47 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#9 - 06/22/2021 03:08 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|6c902a4f1f484137ebccafe4d3390881fd0b3d61.
